Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.model.dynamics
Class VariableRole

    |
    +--ru.biosoft.access.MutableDataElementSupport
      |
      +--biouml.model.dynamics.Variable
            |
            +--biouml.model.dynamics.VariableRole

public class VariableRole
extends Variable
implements EModelRole

General variable definition.

Field Summary
`final static String` | `PREFIX`
`final static String` | `SCOPE`

Constructor Summary
`VariableRole(DataCollection origin, DiagramElement diagramElement, double initialValue)`
`VariableRole(DiagramElement diagramElement, double initialValue)`
`VariableRole(String name, DataCollection origin, double initialValue)` For internal usage.

Method Summary
`Role` | `clone(DiagramElement de)` Creates variable copy and assotiate it with specified diagram element.
`static String` | `createName(DiagramElement de)` Returns name of DataElement including all compartment names.
`DiagramElement` | `getDiagramElement()`
`String` | `getPlotLineSpec()`
`boolean` | `isBoundaryCondition()`
`boolean` | `isShowInPlot()`
`void` | `setBoundaryCondition(boolean boundaryCondition)`
`void` | `setPlotLineSpec(String plotLineSpec)`
`void` | `setShowInPlot(boolean showInPlot)`
`String` | `toString()`

Methods inherited from class biouml.model.dynamics.Variable
`getComment, getInitialValue, getUnits, isConstant, setComment, setConstant, setInitialValue, setName, setUnits`

Methods inherited from class ru.biosoft.access.MutableDataElementSupport
`getName, getOrigin`

Field Detail

### PREFIX

    public final static String PREFIX

### SCOPE

    public final static String SCOPE

Constructor Detail

### VariableRole

    public VariableRole(DataCollection origin, DiagramElement diagramElement, double initialValue)

### VariableRole

    public VariableRole(DiagramElement diagramElement, double initialValue)

  pending remove it. Just now it is used DynamicModelTest.

### VariableRole

    public VariableRole(String name, DataCollection origin, double initialValue)

  For internal usage.

Method Detail

### clone

    public Role clone(DiagramElement de)

  Creates variable copy and assotiate it with specified diagram element.

### createName

    public static String createName(DiagramElement de)

  Returns name of DataElement including all compartment names.

### getDiagramElement

    public DiagramElement getDiagramElement()

### getPlotLineSpec

    public String getPlotLineSpec()

### isBoundaryCondition

    public boolean isBoundaryCondition()

### isShowInPlot

    public boolean isShowInPlot()

### setBoundaryCondition

    public void setBoundaryCondition(boolean boundaryCondition)

### setPlotLineSpec

    public void setPlotLineSpec(String plotLineSpec)

### setShowInPlot

    public void setShowInPlot(boolean showInPlot)

### toString

    public String toString()

Association Links

to Class java.lang.String

to Class java.lang.String

to Class biouml.model.DiagramElement

to Class java.lang.String

  LineSpec is an argument to plotting functions, such as plot, that defines three components used to specify lines in MATLAB: Line style, Color and Marker symbol. See Matlab documentaion for more information.

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM